package com.bocloud.nms.model.veeam.job;

public class GFSPolicySettingsWeeklyModel {

    private boolean isEnabled;
    private Integer keepForNumberOfWeeks;//为存档目的保留完整备份的周数
    private String desiredTime;//枚举："monday" "tuesday" "wednesday" "thursday" "friday" "saturday" "sunday"

    public boolean  getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(boolean enabled) {
        isEnabled = enabled;
    }

    public Integer getKeepForNumberOfWeeks() {
        return keepForNumberOfWeeks;
    }

    public void setKeepForNumberOfWeeks(Integer keepForNumberOfWeeks) {
        this.keepForNumberOfWeeks = keepForNumberOfWeeks;
    }

    public String getDesiredTime() {
        return desiredTime;
    }

    public void setDesiredTime(String desiredTime) {
        this.desiredTime = desiredTime;
    }

    @Override public String toString() {
        return "GFSPolicySettingsWeeklyModel{" + "isEnabled=" + isEnabled + ", keepForNumberOfWeeks="
            + keepForNumberOfWeeks + ", desiredTime='" + desiredTime + '\'' + '}';
    }
}
